Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotTable

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotTable

public class PivotTable extends Object
The Class PivotTable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotTable()`
  Instantiates a new pivot table.
  `PivotTable​(byte[] buffer, String pivotTableFilePath)`
  Instantiates a new pivot table.
  `PivotTable​(int cacheID, String name, String dataCaption)`
  Instantiates a new pivot table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotTable`
  `clone()`
  `int`
  `getAutoFormatID()`
  Gets the auto format id.
  `int`
  `getCacheID()`
  Gets the cache id.
  `int`
  `getChartFormatID()`
  Gets the chart format id.
  `List<PivotChartFormat>`
  `getChartFormats()`
  Gets the chart formats.
  `List<Field>`
  `getColumnFields()`
  Gets the column fields.
  `String`
  `getColumnHeaderCaption()`
  Gets the column header caption.
  `List<Item>`
  `getColumnItems()`
  Gets the column items.
  `int`
  `getCreatedVersion()`
  Gets the created version.
  `String`
  `getDataCaption()`
  Gets the data caption.
  `List<DataField>`
  `getDataFields()`
  Gets the data fields.
  `int`
  `getDefaultDataFieldPosition()`
  Gets the default data field position.
  `String`
  `getErrorCaption()`
  Gets the error caption.
  `List<PivotTableFormat>`
  `getFormats()`
  Gets the formats.
  `String`
  `getGrandTotalCaption()`
  Gets the grand total caption.
  `int`
  `getIndent()`
  Gets the indent.
  `int`
  `getLastUpdatedVersion()`
  Gets the last updated version.
  `Location`
  `getLocation()`
  Gets the location.
  `int`
  `getMinimumRefreshableVersion()`
  Gets the minimum refreshable version.
  `String`
  `getMissingCaption()`
  Gets the missing caption.
  `String`
  `getName()`
  Gets the name.
  `List<PageField>`
  `getPageFields()`
  Gets the page fields.
  `String`
  `getPageHeaderStyleName()`
  Gets the page header style name.
  `int`
  `getPageWrapCount()`
  Gets the page wrap count.
  `PivotCache`
  `getPivotCache()`
  Gets the pivot cache.
  `List<PivotField>`
  `getPivotFields()`
  Gets the pivot fields.
  `List<Field>`
  `getRowFields()`
  Gets the row fields.
  `String`
  `getRowHeaderCaption()`
  Gets the row header caption.
  `List<Item>`
  `getRowItems()`
  Gets the row items.
  `PivotTableStyle`
  `getStyle()`
  Gets the style.
  `String`
  `getTableStyleName()`
  Gets the table style name.
  `String`
  `getTag()`
  Gets the tag.
  `String`
  `getVacatedStyle()`
  Gets the vacated style.
  `boolean`
  `isAllowEditData()`
  Checks if is allow edit data.
  `boolean`
  `isApplyAlignmentFormats()`
  Checks if is apply alignment formats.
  `boolean`
  `isApplyBorderFormats()`
  Checks if is apply border formats.
  `boolean`
  `isApplyFontFormats()`
  Checks if is apply font formats.
  `boolean`
  `isApplyNumberFormats()`
  Checks if is apply number formats.
  `boolean`
  `isApplyPatternFormats()`
  Checks if is apply pattern formats.
  `boolean`
  `isApplyWidthHeightFormats()`
  Checks if is apply width height formats.
  `boolean`
  `isAsteriskTotals()`
  Checks if is asterisk totals.
  `boolean`
  `isCompactData()`
  Checks if is compact data.
  `boolean`
  `isCompactNewFields()`
  Checks if is compact new fields.
  `boolean`
  `isCustomListAutoSort()`
  Checks if is custom list auto sort.
  `boolean`
  `isDataFieldsPublished()`
  Checks if is data fields published.
  `boolean`
  `isDataOnRows()`
  Checks if is data on rows.
  `boolean`
  `isDefaultSortOrder()`
  Checks if is default sort order.
  `boolean`
  `isDisableFieldList()`
  Checks if is disable field list.
  `boolean`
  `isEnableDrillDown()`
  Checks if is enable drill down.
  `boolean`
  `isEnableDropZones()`
  Checks if is enable drop zones.
  `boolean`
  `isEnableFieldProperties()`
  Checks if is enable field properties.
  `boolean`
  `isEnableWizard()`
  Checks if is enable wizard.
  `boolean`
  `isFieldPrintTitles()`
  Checks if is field print titles.
  `boolean`
  `isGrandTotalsOnColumns()`
  Checks if is grand totals on columns.
  `boolean`
  `isItemPrintTitles()`
  Checks if is item print titles.
  `boolean`
  `isMdxSubqueriesSupported()`
  Checks if is mdx subqueries supported.
  `boolean`
  `isMergeTitles()`
  Checks if is merge titles.
  `boolean`
  `isMultipleFieldFilters()`
  Checks if is multiple field filters.
  `boolean`
  `isOutlineDataFields()`
  Checks if is outline data fields.
  `boolean`
  `isOutlineNewFields()`
  Checks if is outline new fields.
  `boolean`
  `isPageOverThenDown()`
  Checks if is page over then down.
  `boolean`
  `isPreserveFormatting()`
  Checks if is preserve formatting.
  `boolean`
  `isPrintDrillIndicators()`
  Checks if is prints the drill indicators.
  `boolean`
  `isRowGrandTotals()`
  Checks if is row grand totals.
  `boolean`
  `isShowCalculatedMembers()`
  Checks if is show calculated members.
  `boolean`
  `isShowDataDropDown()`
  Checks if is show data drop down.
  `boolean`
  `isShowDataToolTips()`
  Checks if is show data tool tips.
  `boolean`
  `isShowDrill()`
  Checks if is show drill.
  `boolean`
  `isShowDropZones()`
  Checks if is show drop zones.
  `boolean`
  `isShowEmptyColumn()`
  Checks if is show empty column.
  `boolean`
  `isShowEmptyRow()`
  Checks if is show empty row.
  `boolean`
  `isShowError()`
  Checks if is show error.
  `boolean`
  `isShowFieldHeaders()`
  Checks if is show field headers.
  `boolean`
  `isShowItemNames()`
  Checks if is show item names.
  `boolean`
  `isShowMemberPropertyToolTips()`
  Checks if is show member property tool tips.
  `boolean`
  `isShowMissing()`
  Checks if is show missing.
  `boolean`
  `isShowMultipleLabels()`
  Checks if is show multiple labels.
  `boolean`
  `isStopImmersiveUI()`
  Checks if is stop immersive ui.
  `boolean`
  `isSubtotalHiddenItems()`
  Checks if is subtotal hidden items.
  `boolean`
  `isTotalVisualData()`
  Checks if is total visual data.
  `void`
  `setAllowEditData​(boolean allowEditData)`
  Sets the allow edit data.
  `void`
  `setApplyAlignmentFormats​(boolean applyAlignmentFormats)`
  Sets the apply alignment formats.
  `void`
  `setApplyBorderFormats​(boolean applyBorderFormats)`
  Sets the apply border formats.
  `void`
  `setApplyFontFormats​(boolean applyFontFormats)`
  Sets the apply font formats.
  `void`
  `setApplyNumberFormats​(boolean applyNumberFormats)`
  Sets the apply number formats.
  `void`
  `setApplyPatternFormats​(boolean applyPatternFormats)`
  Sets the apply pattern formats.
  `void`
  `setApplyWidthHeightFormats​(boolean applyWidthHeightFormats)`
  Sets the apply width height formats.
  `void`
  `setAsteriskTotals​(boolean asteriskTotals)`
  Sets the asterisk totals.
  `void`
  `setAutoFormatID​(int autoFormatID)`
  Sets the auto format id.
  `void`
  `setCacheID​(int cacheID)`
  Sets the cache id.
  `void`
  `setChartFormatID​(int chartFormatID)`
  Sets the chart format id.
  `void`
  `setColumnHeaderCaption​(String columnHeaderCaption)`
  Sets the column header caption.
  `void`
  `setCompactData​(boolean compactData)`
  Sets the compact data.
  `void`
  `setCompactNewFields​(boolean compactNewFields)`
  Sets the compact new fields.
  `void`
  `setCreatedVersion​(int createdVersion)`
  Sets the created version.
  `void`
  `setCustomListAutoSort​(boolean customListAutoSort)`
  Sets the custom list auto sort.
  `void`
  `setDataCaption​(String dataCaption)`
  Sets the data caption.
  `void`
  `setDataFieldsPublished​(boolean dataFieldsPublished)`
  Sets the data fields published.
  `void`
  `setDataOnRows​(boolean dataOnRows)`
  Sets the data on rows.
  `void`
  `setDefaultDataFieldPosition​(int defaultDataFieldPosition)`
  Sets the default data field position.
  `void`
  `setDefaultSortOrder​(boolean defaultSortOrder)`
  Sets the default sort order.
  `void`
  `setDisableFieldList​(boolean disableFieldList)`
  Sets the disable field list.
  `void`
  `setEnableDrillDown​(boolean enableDrillDown)`
  Sets the enable drill down.
  `void`
  `setEnableDropZones​(boolean enableDropZones)`
  Sets the enable drop zones.
  `void`
  `setEnableFieldProperties​(boolean enableFieldProperties)`
  Sets the enable field properties.
  `void`
  `setEnableWizard​(boolean enableWizard)`
  Sets the enable wizard.
  `void`
  `setErrorCaption​(String errorCaption)`
  Sets the error caption.
  `void`
  `setFieldPrintTitles​(boolean fieldPrintTitles)`
  Sets the field print titles.
  `void`
  `setGrandTotalCaption​(String grandTotalCaption)`
  Sets the grand total caption.
  `void`
  `setGrandTotalsOnColumns​(boolean grandTotalsOnColumns)`
  Sets the grand totals on columns.
  `void`
  `setIndent​(int indent)`
  Sets the indent.
  `void`
  `setItemPrintTitles​(boolean itemPrintTitles)`
  Sets the item print titles.
  `void`
  `setLastUpdatedVersion​(int lastUpdatedVersion)`
  Sets the last updated version.
  `void`
  `setLocation​(Location location)`
  Sets the location.
  `void`
  `setMdxSubqueriesSupported​(boolean mdxSubqueriesSupported)`
  Sets the mdx subqueries supported.
  `void`
  `setMergeTitles​(boolean mergeTitles)`
  Sets the merge titles.
  `void`
  `setMinimumRefreshableVersion​(int minimumRefreshableVersion)`
  Sets the minimum refreshable version.
  `void`
  `setMissingCaption​(String missingCaption)`
  Sets the missing caption.
  `void`
  `setMultipleFieldFilters​(boolean multipleFieldFilters)`
  Sets the multiple field filters.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setOutlineDataFields​(boolean outlineDataFields)`
  Sets the outline data fields.
  `void`
  `setOutlineNewFields​(boolean outlineNewFields)`
  Sets the outline new fields.
  `void`
  `setPageHeaderStyleName​(String pageHeaderStyleName)`
  Sets the page header style name.
  `void`
  `setPageOverThenDown​(boolean pageOverThenDown)`
  Sets the page over then down.
  `void`
  `setPageWrapCount​(int pageWrapCount)`
  Sets the page wrap count.
  `void`
  `setPivotCache​(PivotCache pivotCache)`
  Sets the pivot cache.
  `void`
  `setPreserveFormatting​(boolean preserveFormatting)`
  Sets the preserve formatting.
  `void`
  `setPrintDrillIndicators​(boolean printDrillIndicators)`
  Sets the prints the drill indicators.
  `void`
  `setRowGrandTotals​(boolean rowGrandTotals)`
  Sets the row grand totals.
  `void`
  `setRowHeaderCaption​(String rowHeaderCaption)`
  Sets the row header caption.
  `void`
  `setShowCalculatedMembers​(boolean showCalculatedMembers)`
  Sets the show calculated members.
  `void`
  `setShowDataDropDown​(boolean showDataDropDown)`
  Sets the show data drop down.
  `void`
  `setShowDataToolTips​(boolean showDataToolTips)`
  Sets the show data tool tips.
  `void`
  `setShowDrill​(boolean showDrill)`
  Sets the show drill.
  `void`
  `setShowDropZones​(boolean showDropZones)`
  Sets the show drop zones.
  `void`
  `setShowEmptyColumn​(boolean showEmptyColumn)`
  Sets the show empty column.
  `void`
  `setShowEmptyRow​(boolean showEmptyRow)`
  Sets the show empty row.
  `void`
  `setShowError​(boolean showError)`
  Sets the show error.
  `void`
  `setShowFieldHeaders​(boolean showFieldHeaders)`
  Sets the show field headers.
  `void`
  `setShowItemNames​(boolean showItemNames)`
  Sets the show item names.
  `void`
  `setShowMemberPropertyToolTips​(boolean showMemberPropertyToolTips)`
  Sets the show member property tool tips.
  `void`
  `setShowMissing​(boolean showMissing)`
  Sets the show missing.
  `void`
  `setShowMultipleLabels​(boolean showMultipleLabels)`
  Sets the show multiple labels.
  `void`
  `setStopImmersiveUI​(boolean stopImmersiveUI)`
  Sets the stop immersive ui.
  `void`
  `setStyle​(PivotTableStyle style)`
  Sets the style.
  `void`
  `setSubtotalHiddenItems​(boolean subtotalHiddenItems)`
  Sets the subtotal hidden items.
  `void`
  `setTableStyleName​(String tableStyleName)`
  Sets the table style name.
  `void`
  `setTag​(String tag)`
  Sets the tag.
  `void`
  `setTotalVisualData​(boolean totalVisualData)`
  Sets the total visual data.
  `void`
  `setUseAutoFormatting​(boolean useAutoFormatting)`
  Sets the use auto formatting.
  `void`
  `setVacatedStyle​(String vacatedStyle)`
  Sets the vacated style.
  `String`
  `toString()`
  `boolean`
  `useAutoFormatting()`
  Use auto formatting.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotTable

    public PivotTable()
    Instantiates a new pivot table.

  - ### PivotTable

    public PivotTable​(int cacheID, String name, String dataCaption)
    Instantiates a new pivot table.
    Parameters:
      `cacheID` - the cache id
      `name` - the name
      `dataCaption` - the data caption

  - ### PivotTable

    public PivotTable​(byte[] buffer, String pivotTableFilePath) throws XMLStreamException
    Instantiates a new pivot table.
    Parameters:
      `buffer` - the buffer
      `pivotTableFilePath` - the pivot table file path
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public PivotTable clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumnFields

    public List<Field> getColumnFields()
    Gets the column fields.
    Returns:
      the column fields

  - ### getRowFields

    public List<Field> getRowFields()
    Gets the row fields.
    Returns:
      the row fields

  - ### getPageFields

    public List<PageField> getPageFields()
    Gets the page fields.
    Returns:
      the page fields

  - ### getDataFields

    public List<DataField> getDataFields()
    Gets the data fields.
    Returns:
      the data fields

  - ### getChartFormats

    public List<PivotChartFormat> getChartFormats()
    Gets the chart formats.
    Returns:
      the chart formats

  - ### getFormats

    public List<PivotTableFormat> getFormats()
    Gets the formats.
    Returns:
      the formats

  - ### getLocation

    public Location getLocation()
    Gets the location.
    Returns:
      the location

  - ### setLocation

    public void setLocation​(Location location)
    Sets the location.
    Parameters:
      `location` - the new location

  - ### getStyle

    public PivotTableStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(PivotTableStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getPivotCache

    public PivotCache getPivotCache()
    Gets the pivot cache.
    Returns:
      the pivot cache

  - ### setPivotCache

    public void setPivotCache​(PivotCache pivotCache)
    Sets the pivot cache.
    Parameters:
      `pivotCache` - the new pivot cache

  - ### getPivotFields

    public List<PivotField> getPivotFields()
    Gets the pivot fields.
    Returns:
      the pivot fields

  - ### getRowItems

    public List<Item> getRowItems()
    Gets the row items.
    Returns:
      the row items

  - ### getColumnItems

    public List<Item> getColumnItems()
    Gets the column items.
    Returns:
      the column items

  - ### isApplyAlignmentFormats

    public boolean isApplyAlignmentFormats()
    Checks if is apply alignment formats.
    Returns:
      true, if is apply alignment formats

  - ### setApplyAlignmentFormats

    public void setApplyAlignmentFormats​(boolean applyAlignmentFormats)
    Sets the apply alignment formats.
    Parameters:
      `applyAlignmentFormats` - the new apply alignment formats

  - ### isApplyBorderFormats

    public boolean isApplyBorderFormats()
    Checks if is apply border formats.
    Returns:
      true, if is apply border formats

  - ### setApplyBorderFormats

    public void setApplyBorderFormats​(boolean applyBorderFormats)
    Sets the apply border formats.
    Parameters:
      `applyBorderFormats` - the new apply border formats

  - ### isApplyFontFormats

    public boolean isApplyFontFormats()
    Checks if is apply font formats.
    Returns:
      true, if is apply font formats

  - ### setApplyFontFormats

    public void setApplyFontFormats​(boolean applyFontFormats)
    Sets the apply font formats.
    Parameters:
      `applyFontFormats` - the new apply font formats

  - ### isApplyNumberFormats

    public boolean isApplyNumberFormats()
    Checks if is apply number formats.
    Returns:
      true, if is apply number formats

  - ### setApplyNumberFormats

    public void setApplyNumberFormats​(boolean applyNumberFormats)
    Sets the apply number formats.
    Parameters:
      `applyNumberFormats` - the new apply number formats

  - ### isApplyPatternFormats

    public boolean isApplyPatternFormats()
    Checks if is apply pattern formats.
    Returns:
      true, if is apply pattern formats

  - ### setApplyPatternFormats

    public void setApplyPatternFormats​(boolean applyPatternFormats)
    Sets the apply pattern formats.
    Parameters:
      `applyPatternFormats` - the new apply pattern formats

  - ### isApplyWidthHeightFormats

    public boolean isApplyWidthHeightFormats()
    Checks if is apply width height formats.
    Returns:
      true, if is apply width height formats

  - ### setApplyWidthHeightFormats

    public void setApplyWidthHeightFormats​(boolean applyWidthHeightFormats)
    Sets the apply width height formats.
    Parameters:
      `applyWidthHeightFormats` - the new apply width height formats

  - ### isAsteriskTotals

    public boolean isAsteriskTotals()
    Checks if is asterisk totals.
    Returns:
      true, if is asterisk totals

  - ### setAsteriskTotals

    public void setAsteriskTotals​(boolean asteriskTotals)
    Sets the asterisk totals.
    Parameters:
      `asteriskTotals` - the new asterisk totals

  - ### getAutoFormatID

    public int getAutoFormatID()
    Gets the auto format id.
    Returns:
      the auto format id

  - ### setAutoFormatID

    public void setAutoFormatID​(int autoFormatID)
    Sets the auto format id.
    Parameters:
      `autoFormatID` - the new auto format id

  - ### getCacheID

    public int getCacheID()
    Gets the cache id.
    Returns:
      the cache id

  - ### setCacheID

    public void setCacheID​(int cacheID)
    Sets the cache id.
    Parameters:
      `cacheID` - the new cache id

  - ### getChartFormatID

    public int getChartFormatID()
    Gets the chart format id.
    Returns:
      the chart format id

  - ### setChartFormatID

    public void setChartFormatID​(int chartFormatID)
    Sets the chart format id.
    Parameters:
      `chartFormatID` - the new chart format id

  - ### isGrandTotalsOnColumns

    public boolean isGrandTotalsOnColumns()
    Checks if is grand totals on columns.
    Returns:
      true, if is grand totals on columns

  - ### setGrandTotalsOnColumns

    public void setGrandTotalsOnColumns​(boolean grandTotalsOnColumns)
    Sets the grand totals on columns.
    Parameters:
      `grandTotalsOnColumns` - the new grand totals on columns

  - ### getColumnHeaderCaption

    public String getColumnHeaderCaption()
    Gets the column header caption.
    Returns:
      the column header caption

  - ### setColumnHeaderCaption

    public void setColumnHeaderCaption​(String columnHeaderCaption)
    Sets the column header caption.
    Parameters:
      `columnHeaderCaption` - the new column header caption

  - ### isCompactNewFields

    public boolean isCompactNewFields()
    Checks if is compact new fields.
    Returns:
      true, if is compact new fields

  - ### setCompactNewFields

    public void setCompactNewFields​(boolean compactNewFields)
    Sets the compact new fields.
    Parameters:
      `compactNewFields` - the new compact new fields

  - ### isCompactData

    public boolean isCompactData()
    Checks if is compact data.
    Returns:
      true, if is compact data

  - ### setCompactData

    public void setCompactData​(boolean compactData)
    Sets the compact data.
    Parameters:
      `compactData` - the new compact data

  - ### getCreatedVersion

    public int getCreatedVersion()
    Gets the created version.
    Returns:
      the created version

  - ### setCreatedVersion

    public void setCreatedVersion​(int createdVersion)
    Sets the created version.
    Parameters:
      `createdVersion` - the new created version

  - ### isCustomListAutoSort

    public boolean isCustomListAutoSort()
    Checks if is custom list auto sort.
    Returns:
      true, if is custom list auto sort

  - ### setCustomListAutoSort

    public void setCustomListAutoSort​(boolean customListAutoSort)
    Sets the custom list auto sort.
    Parameters:
      `customListAutoSort` - the new custom list auto sort

  - ### getDataCaption

    public String getDataCaption()
    Gets the data caption.
    Returns:
      the data caption

  - ### setDataCaption

    public void setDataCaption​(String dataCaption)
    Sets the data caption.
    Parameters:
      `dataCaption` - the new data caption

  - ### isDataOnRows

    public boolean isDataOnRows()
    Checks if is data on rows.
    Returns:
      true, if is data on rows

  - ### setDataOnRows

    public void setDataOnRows​(boolean dataOnRows)
    Sets the data on rows.
    Parameters:
      `dataOnRows` - the new data on rows

  - ### getDefaultDataFieldPosition

    public int getDefaultDataFieldPosition()
    Gets the default data field position.
    Returns:
      the default data field position

  - ### setDefaultDataFieldPosition

    public void setDefaultDataFieldPosition​(int defaultDataFieldPosition)
    Sets the default data field position.
    Parameters:
      `defaultDataFieldPosition` - the new default data field position

  - ### isDisableFieldList

    public boolean isDisableFieldList()
    Checks if is disable field list.
    Returns:
      true, if is disable field list

  - ### setDisableFieldList

    public void setDisableFieldList​(boolean disableFieldList)
    Sets the disable field list.
    Parameters:
      `disableFieldList` - the new disable field list

  - ### isAllowEditData

    public boolean isAllowEditData()
    Checks if is allow edit data.
    Returns:
      true, if is allow edit data

  - ### setAllowEditData

    public void setAllowEditData​(boolean allowEditData)
    Sets the allow edit data.
    Parameters:
      `allowEditData` - the new allow edit data

  - ### isEnableDrillDown

    public boolean isEnableDrillDown()
    Checks if is enable drill down.
    Returns:
      true, if is enable drill down

  - ### setEnableDrillDown

    public void setEnableDrillDown​(boolean enableDrillDown)
    Sets the enable drill down.
    Parameters:
      `enableDrillDown` - the new enable drill down

  - ### isEnableFieldProperties

    public boolean isEnableFieldProperties()
    Checks if is enable field properties.
    Returns:
      true, if is enable field properties

  - ### setEnableFieldProperties

    public void setEnableFieldProperties​(boolean enableFieldProperties)
    Sets the enable field properties.
    Parameters:
      `enableFieldProperties` - the new enable field properties

  - ### isEnableWizard

    public boolean isEnableWizard()
    Checks if is enable wizard.
    Returns:
      true, if is enable wizard

  - ### setEnableWizard

    public void setEnableWizard​(boolean enableWizard)
    Sets the enable wizard.
    Parameters:
      `enableWizard` - the new enable wizard

  - ### getErrorCaption

    public String getErrorCaption()
    Gets the error caption.
    Returns:
      the error caption

  - ### setErrorCaption

    public void setErrorCaption​(String errorCaption)
    Sets the error caption.
    Parameters:
      `errorCaption` - the new error caption

  - ### isDefaultSortOrder

    public boolean isDefaultSortOrder()
    Checks if is default sort order.
    Returns:
      true, if is default sort order

  - ### setDefaultSortOrder

    public void setDefaultSortOrder​(boolean defaultSortOrder)
    Sets the default sort order.
    Parameters:
      `defaultSortOrder` - the new default sort order

  - ### isFieldPrintTitles

    public boolean isFieldPrintTitles()
    Checks if is field print titles.
    Returns:
      true, if is field print titles

  - ### setFieldPrintTitles

    public void setFieldPrintTitles​(boolean fieldPrintTitles)
    Sets the field print titles.
    Parameters:
      `fieldPrintTitles` - the new field print titles

  - ### getGrandTotalCaption

    public String getGrandTotalCaption()
    Gets the grand total caption.
    Returns:
      the grand total caption

  - ### setGrandTotalCaption

    public void setGrandTotalCaption​(String grandTotalCaption)
    Sets the grand total caption.
    Parameters:
      `grandTotalCaption` - the new grand total caption

  - ### isEnableDropZones

    public boolean isEnableDropZones()
    Checks if is enable drop zones.
    Returns:
      true, if is enable drop zones

  - ### setEnableDropZones

    public void setEnableDropZones​(boolean enableDropZones)
    Sets the enable drop zones.
    Parameters:
      `enableDropZones` - the new enable drop zones

  - ### isStopImmersiveUI

    public boolean isStopImmersiveUI()
    Checks if is stop immersive ui.
    Returns:
      true, if is stop immersive ui

  - ### setStopImmersiveUI

    public void setStopImmersiveUI​(boolean stopImmersiveUI)
    Sets the stop immersive ui.
    Parameters:
      `stopImmersiveUI` - the new stop immersive ui

  - ### getIndent

    public int getIndent()
    Gets the indent.
    Returns:
      the indent

  - ### setIndent

    public void setIndent​(int indent)
    Sets the indent.
    Parameters:
      `indent` - the new indent

  - ### isItemPrintTitles

    public boolean isItemPrintTitles()
    Checks if is item print titles.
    Returns:
      true, if is item print titles

  - ### setItemPrintTitles

    public void setItemPrintTitles​(boolean itemPrintTitles)
    Sets the item print titles.
    Parameters:
      `itemPrintTitles` - the new item print titles

  - ### isMdxSubqueriesSupported

    public boolean isMdxSubqueriesSupported()
    Checks if is mdx subqueries supported.
    Returns:
      true, if is mdx subqueries supported

  - ### setMdxSubqueriesSupported

    public void setMdxSubqueriesSupported​(boolean mdxSubqueriesSupported)
    Sets the mdx subqueries supported.
    Parameters:
      `mdxSubqueriesSupported` - the new mdx subqueries supported

  - ### isMergeTitles

    public boolean isMergeTitles()
    Checks if is merge titles.
    Returns:
      true, if is merge titles

  - ### setMergeTitles

    public void setMergeTitles​(boolean mergeTitles)
    Sets the merge titles.
    Parameters:
      `mergeTitles` - the new merge titles

  - ### getMinimumRefreshableVersion

    public int getMinimumRefreshableVersion()
    Gets the minimum refreshable version.
    Returns:
      the minimum refreshable version

  - ### setMinimumRefreshableVersion

    public void setMinimumRefreshableVersion​(int minimumRefreshableVersion)
    Sets the minimum refreshable version.
    Parameters:
      `minimumRefreshableVersion` - the new minimum refreshable version

  - ### getMissingCaption

    public String getMissingCaption()
    Gets the missing caption.
    Returns:
      the missing caption

  - ### setMissingCaption

    public void setMissingCaption​(String missingCaption)
    Sets the missing caption.
    Parameters:
      `missingCaption` - the new missing caption

  - ### isMultipleFieldFilters

    public boolean isMultipleFieldFilters()
    Checks if is multiple field filters.
    Returns:
      true, if is multiple field filters

  - ### setMultipleFieldFilters

    public void setMultipleFieldFilters​(boolean multipleFieldFilters)
    Sets the multiple field filters.
    Parameters:
      `multipleFieldFilters` - the new multiple field filters

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isOutlineNewFields

    public boolean isOutlineNewFields()
    Checks if is outline new fields.
    Returns:
      true, if is outline new fields

  - ### setOutlineNewFields

    public void setOutlineNewFields​(boolean outlineNewFields)
    Sets the outline new fields.
    Parameters:
      `outlineNewFields` - the new outline new fields

  - ### isOutlineDataFields

    public boolean isOutlineDataFields()
    Checks if is outline data fields.
    Returns:
      true, if is outline data fields

  - ### setOutlineDataFields

    public void setOutlineDataFields​(boolean outlineDataFields)
    Sets the outline data fields.
    Parameters:
      `outlineDataFields` - the new outline data fields

  - ### isPageOverThenDown

    public boolean isPageOverThenDown()
    Checks if is page over then down.
    Returns:
      true, if is page over then down

  - ### setPageOverThenDown

    public void setPageOverThenDown​(boolean pageOverThenDown)
    Sets the page over then down.
    Parameters:
      `pageOverThenDown` - the new page over then down

  - ### getPageHeaderStyleName

    public String getPageHeaderStyleName()
    Gets the page header style name.
    Returns:
      the page header style name

  - ### setPageHeaderStyleName

    public void setPageHeaderStyleName​(String pageHeaderStyleName)
    Sets the page header style name.
    Parameters:
      `pageHeaderStyleName` - the new page header style name

  - ### getPageWrapCount

    public int getPageWrapCount()
    Gets the page wrap count.
    Returns:
      the page wrap count

  - ### setPageWrapCount

    public void setPageWrapCount​(int pageWrapCount)
    Sets the page wrap count.
    Parameters:
      `pageWrapCount` - the new page wrap count

  - ### getTableStyleName

    public String getTableStyleName()
    Gets the table style name.
    Returns:
      the table style name

  - ### setTableStyleName

    public void setTableStyleName​(String tableStyleName)
    Sets the table style name.
    Parameters:
      `tableStyleName` - the new table style name

  - ### isPreserveFormatting

    public boolean isPreserveFormatting()
    Checks if is preserve formatting.
    Returns:
      true, if is preserve formatting

  - ### setPreserveFormatting

    public void setPreserveFormatting​(boolean preserveFormatting)
    Sets the preserve formatting.
    Parameters:
      `preserveFormatting` - the new preserve formatting

  - ### isPrintDrillIndicators

    public boolean isPrintDrillIndicators()
    Checks if is prints the drill indicators.
    Returns:
      true, if is prints the drill indicators

  - ### setPrintDrillIndicators

    public void setPrintDrillIndicators​(boolean printDrillIndicators)
    Sets the prints the drill indicators.
    Parameters:
      `printDrillIndicators` - the new prints the drill indicators

  - ### isDataFieldsPublished

    public boolean isDataFieldsPublished()
    Checks if is data fields published.
    Returns:
      true, if is data fields published

  - ### setDataFieldsPublished

    public void setDataFieldsPublished​(boolean dataFieldsPublished)
    Sets the data fields published.
    Parameters:
      `dataFieldsPublished` - the new data fields published

  - ### isRowGrandTotals

    public boolean isRowGrandTotals()
    Checks if is row grand totals.
    Returns:
      true, if is row grand totals

  - ### setRowGrandTotals

    public void setRowGrandTotals​(boolean rowGrandTotals)
    Sets the row grand totals.
    Parameters:
      `rowGrandTotals` - the new row grand totals

  - ### getRowHeaderCaption

    public String getRowHeaderCaption()
    Gets the row header caption.
    Returns:
      the row header caption

  - ### setRowHeaderCaption

    public void setRowHeaderCaption​(String rowHeaderCaption)
    Sets the row header caption.
    Parameters:
      `rowHeaderCaption` - the new row header caption

  - ### isShowCalculatedMembers

    public boolean isShowCalculatedMembers()
    Checks if is show calculated members.
    Returns:
      true, if is show calculated members

  - ### setShowCalculatedMembers

    public void setShowCalculatedMembers​(boolean showCalculatedMembers)
    Sets the show calculated members.
    Parameters:
      `showCalculatedMembers` - the new show calculated members

  - ### isShowDataDropDown

    public boolean isShowDataDropDown()
    Checks if is show data drop down.
    Returns:
      true, if is show data drop down

  - ### setShowDataDropDown

    public void setShowDataDropDown​(boolean showDataDropDown)
    Sets the show data drop down.
    Parameters:
      `showDataDropDown` - the new show data drop down

  - ### isShowDataToolTips

    public boolean isShowDataToolTips()
    Checks if is show data tool tips.
    Returns:
      true, if is show data tool tips

  - ### setShowDataToolTips

    public void setShowDataToolTips​(boolean showDataToolTips)
    Sets the show data tool tips.
    Parameters:
      `showDataToolTips` - the new show data tool tips

  - ### isShowDrill

    public boolean isShowDrill()
    Checks if is show drill.
    Returns:
      true, if is show drill

  - ### setShowDrill

    public void setShowDrill​(boolean showDrill)
    Sets the show drill.
    Parameters:
      `showDrill` - the new show drill

  - ### isShowDropZones

    public boolean isShowDropZones()
    Checks if is show drop zones.
    Returns:
      true, if is show drop zones

  - ### setShowDropZones

    public void setShowDropZones​(boolean showDropZones)
    Sets the show drop zones.
    Parameters:
      `showDropZones` - the new show drop zones

  - ### isShowEmptyColumn

    public boolean isShowEmptyColumn()
    Checks if is show empty column.
    Returns:
      true, if is show empty column

  - ### setShowEmptyColumn

    public void setShowEmptyColumn​(boolean showEmptyColumn)
    Sets the show empty column.
    Parameters:
      `showEmptyColumn` - the new show empty column

  - ### isShowEmptyRow

    public boolean isShowEmptyRow()
    Checks if is show empty row.
    Returns:
      true, if is show empty row

  - ### setShowEmptyRow

    public void setShowEmptyRow​(boolean showEmptyRow)
    Sets the show empty row.
    Parameters:
      `showEmptyRow` - the new show empty row

  - ### isShowError

    public boolean isShowError()
    Checks if is show error.
    Returns:
      true, if is show error

  - ### setShowError

    public void setShowError​(boolean showError)
    Sets the show error.
    Parameters:
      `showError` - the new show error

  - ### isShowFieldHeaders

    public boolean isShowFieldHeaders()
    Checks if is show field headers.
    Returns:
      true, if is show field headers

  - ### setShowFieldHeaders

    public void setShowFieldHeaders​(boolean showFieldHeaders)
    Sets the show field headers.
    Parameters:
      `showFieldHeaders` - the new show field headers

  - ### isShowItemNames

    public boolean isShowItemNames()
    Checks if is show item names.
    Returns:
      true, if is show item names

  - ### setShowItemNames

    public void setShowItemNames​(boolean showItemNames)
    Sets the show item names.
    Parameters:
      `showItemNames` - the new show item names

  - ### isShowMemberPropertyToolTips

    public boolean isShowMemberPropertyToolTips()
    Checks if is show member property tool tips.
    Returns:
      true, if is show member property tool tips

  - ### setShowMemberPropertyToolTips

    public void setShowMemberPropertyToolTips​(boolean showMemberPropertyToolTips)
    Sets the show member property tool tips.
    Parameters:
      `showMemberPropertyToolTips` - the new show member property tool tips

  - ### isShowMissing

    public boolean isShowMissing()
    Checks if is show missing.
    Returns:
      true, if is show missing

  - ### setShowMissing

    public void setShowMissing​(boolean showMissing)
    Sets the show missing.
    Parameters:
      `showMissing` - the new show missing

  - ### isShowMultipleLabels

    public boolean isShowMultipleLabels()
    Checks if is show multiple labels.
    Returns:
      true, if is show multiple labels

  - ### setShowMultipleLabels

    public void setShowMultipleLabels​(boolean showMultipleLabels)
    Sets the show multiple labels.
    Parameters:
      `showMultipleLabels` - the new show multiple labels

  - ### isSubtotalHiddenItems

    public boolean isSubtotalHiddenItems()
    Checks if is subtotal hidden items.
    Returns:
      true, if is subtotal hidden items

  - ### setSubtotalHiddenItems

    public void setSubtotalHiddenItems​(boolean subtotalHiddenItems)
    Sets the subtotal hidden items.
    Parameters:
      `subtotalHiddenItems` - the new subtotal hidden items

  - ### getTag

    public String getTag()
    Gets the tag.
    Returns:
      the tag

  - ### setTag

    public void setTag​(String tag)
    Sets the tag.
    Parameters:
      `tag` - the new tag

  - ### getLastUpdatedVersion

    public int getLastUpdatedVersion()
    Gets the last updated version.
    Returns:
      the last updated version

  - ### setLastUpdatedVersion

    public void setLastUpdatedVersion​(int lastUpdatedVersion)
    Sets the last updated version.
    Parameters:
      `lastUpdatedVersion` - the new last updated version

  - ### useAutoFormatting

    public boolean useAutoFormatting()
    Use auto formatting.
    Returns:
      true, if successful

  - ### setUseAutoFormatting

    public void setUseAutoFormatting​(boolean useAutoFormatting)
    Sets the use auto formatting.
    Parameters:
      `useAutoFormatting` - the new use auto formatting

  - ### getVacatedStyle

    public String getVacatedStyle()
    Gets the vacated style.
    Returns:
      the vacated style

  - ### setVacatedStyle

    public void setVacatedStyle​(String vacatedStyle)
    Sets the vacated style.
    Parameters:
      `vacatedStyle` - the new vacated style

  - ### isTotalVisualData

    public boolean isTotalVisualData()
    Checks if is total visual data.
    Returns:
      true, if is total visual data

  - ### setTotalVisualData

    public void setTotalVisualData​(boolean totalVisualData)
    Sets the total visual data.
    Parameters:
      `totalVisualData` - the new total visual data